class DateFormatEditForm
Same name and namespace in other branches
- 11.x core/modules/system/src/Form/DateFormatEditForm.php \Drupal\system\Form\DateFormatEditForm
- 10 core/modules/system/src/Form/DateFormatEditForm.php \Drupal\system\Form\DateFormatEditForm
- 9 core/modules/system/src/Form/DateFormatEditForm.php \Drupal\system\Form\DateFormatEditForm
- 8.9.x core/modules/system/src/Form/DateFormatEditForm.php \Drupal\system\Form\DateFormatEditForm
Provides a form for editing a date format.
@internal
Hierarchy
- class \Drupal\Core\Form\FormBase implements \Drupal\Core\Form\FormInterface, \Drupal\Core\DependencyInjection\ContainerInjectionInterface uses \Drupal\Core\DependencyInjection\AutowireTrait, \Drupal\Core\DependencyInjection\DependencySerializationTrait, \Drupal\Core\Htmx\HtmxRequestInfoTrait, \Drupal\Core\Logger\LoggerChannelTrait, \Drupal\Core\Messenger\MessengerTrait, \Drupal\Core\Routing\RedirectDestinationTrait, \Drupal\Core\StringTranslation\StringTranslationTrait
- class \Drupal\Core\Entity\EntityForm implements \Drupal\Core\Entity\EntityFormInterface extends \Drupal\Core\Form\FormBase
- class \Drupal\system\Form\DateFormatFormBase extends \Drupal\Core\Entity\EntityForm
- class \Drupal\system\Form\DateFormatEditForm uses \Drupal\Core\StringTranslation\StringTranslationTrait extends \Drupal\system\Form\DateFormatFormBase
- class \Drupal\system\Form\DateFormatFormBase extends \Drupal\Core\Entity\EntityForm
- class \Drupal\Core\Entity\EntityForm implements \Drupal\Core\Entity\EntityFormInterface extends \Drupal\Core\Form\FormBase
Expanded class hierarchy of DateFormatEditForm
File
-
core/
modules/ system/ src/ Form/ DateFormatEditForm.php, line 17
Namespace
Drupal\system\FormView source
class DateFormatEditForm extends DateFormatFormBase {
use StringTranslationTrait;
/**
* Constructs a DateFormatEditForm object.
*
* @param \Drupal\Core\Datetime\DateFormatterInterface $date_formatter
* The date service.
* @param \Drupal\Core\Config\Entity\ConfigEntityStorageInterface $date_format_storage
* The date format storage.
* @param \Drupal\Component\Datetime\TimeInterface $time
* The time service.
*/
public function __construct(DateFormatterInterface $date_formatter, ConfigEntityStorageInterface $date_format_storage, protected TimeInterface $time) {
parent::__construct($date_formatter, $date_format_storage);
}
/**
* {@inheritdoc}
*/
public static function create(ContainerInterface $container) {
return new static($container->get('date.formatter'), $container->get('entity_type.manager')
->getStorage('date_format'), $container->get('datetime.time'));
}
/**
* {@inheritdoc}
*/
public function form(array $form, FormStateInterface $form_state) {
$form = parent::form($form, $form_state);
$now = $this->t('Displayed as %date', [
'%date' => $this->dateFormatter
->format($this->time
->getRequestTime(), $this->entity
->id()),
]);
$form['date_format_pattern']['#field_suffix'] = ' <small data-drupal-date-formatter="preview">' . $now . '</small>';
$form['date_format_pattern']['#default_value'] = $this->entity
->getPattern();
return $form;
}
/**
* {@inheritdoc}
*/
protected function actions(array $form, FormStateInterface $form_state) {
$actions = parent::actions($form, $form_state);
$actions['submit']['#value'] = $this->t('Save format');
unset($actions['delete']);
return $actions;
}
}
Members
| Title Sort descending | Modifiers | Object type | Summary | Overriden Title | Overrides |
|---|---|---|---|---|---|
| AutowiredInstanceTrait::createInstanceAutowired | public static | function | Instantiates a new instance of the implementing class using autowiring. | ||
| AutowiredInstanceTrait::getAutowireArguments | private static | function | Resolves arguments for a method using autowiring. | ||
| DateFormatEditForm::actions | protected | function | Overrides EntityForm::actions | ||
| DateFormatEditForm::create | public static | function | Overrides DateFormatFormBase::create | ||
| DateFormatEditForm::form | public | function | Overrides DateFormatFormBase::form | ||
| DateFormatEditForm::__construct | public | function | Constructs a DateFormatEditForm object. | Overrides DateFormatFormBase::__construct | |
| DateFormatFormBase::$dateFormatStorage | protected | property | The date format storage. | ||
| DateFormatFormBase::$dateFormatter | protected | property | The date formatter service. | ||
| DateFormatFormBase::exists | public | function | Checks for an existing date format. | ||
| DateFormatFormBase::save | public | function | Overrides EntityForm::save | ||
| DateFormatFormBase::submitForm | public | function | Overrides EntityForm::submitForm | ||
| DateFormatFormBase::validateForm | public | function | Overrides FormBase::validateForm | ||
| DependencySerializationTrait::$_entityStorages | protected | property | An array of entity type IDs keyed by the property name of their storages. | ||
| DependencySerializationTrait::$_serviceIds | protected | property | An array of service IDs keyed by property name used for serialization. | ||
| DependencySerializationTrait::__sleep | public | function | 2 | ||
| DependencySerializationTrait::__wakeup | public | function | 2 | ||
| EntityForm::$entity | protected | property | The entity being used by this form. | 10 | |
| EntityForm::$entityTypeManager | protected | property | The entity type manager. | 3 | |
| EntityForm::$moduleHandler | protected | property | The module handler service. | 3 | |
| EntityForm::$operation | protected | property | The name of the current operation. | ||
| EntityForm::actionsElement | protected | function | Returns the action form element for the current entity form. | ||
| EntityForm::afterBuild | public | function | Form element #after_build callback: Updates the entity with submitted data. | 1 | |
| EntityForm::buildEntity | public | function | Overrides EntityFormInterface::buildEntity | 5 | |
| EntityForm::buildForm | public | function | Overrides FormInterface::buildForm | 13 | |
| EntityForm::copyFormValuesToEntity | protected | function | Copies top-level form values to entity properties. | 12 | |
| EntityForm::getBaseFormId | public | function | Overrides BaseFormIdInterface::getBaseFormId | 3 | |
| EntityForm::getCallableFromDefinition | protected | function | Gets a callable from a string or array definition if possible. | ||
| EntityForm::getEntity | public | function | Overrides EntityFormInterface::getEntity | ||
| EntityForm::getEntityFromRouteMatch | public | function | Overrides EntityFormInterface::getEntityFromRouteMatch | 3 | |
| EntityForm::getFormId | public | function | Overrides FormInterface::getFormId | 14 | |
| EntityForm::getOperation | public | function | Overrides EntityFormInterface::getOperation | ||
| EntityForm::init | protected | function | Initialize the form state and the entity before the first form build. | 3 | |
| EntityForm::prepareEntity | protected | function | Prepares the entity object before the form is built first. | 3 | |
| EntityForm::prepareInvokeAll | protected | function | Invokes the specified prepare hook variant. | ||
| EntityForm::processForm | public | function | Process callback: assigns weights and hides extra fields. | ||
| EntityForm::setEntity | public | function | Overrides EntityFormInterface::setEntity | ||
| EntityForm::setEntityTypeManager | public | function | Overrides EntityFormInterface::setEntityTypeManager | ||
| EntityForm::setModuleHandler | public | function | Overrides EntityFormInterface::setModuleHandler | ||
| EntityForm::setOperation | public | function | Overrides EntityFormInterface::setOperation | ||
| FormBase::$configFactory | protected | property | The config factory. | 1 | |
| FormBase::$requestStack | protected | property | The request stack. | 1 | |
| FormBase::$routeMatch | protected | property | The route match. | ||
| FormBase::config | protected | function | Retrieves a configuration object. | ||
| FormBase::configFactory | protected | function | Gets the config factory for this form. | 1 | |
| FormBase::container | private | function | Returns the service container. | ||
| FormBase::currentUser | protected | function | Gets the current user. | 2 | |
| FormBase::getRequest | protected | function | Gets the request object. | Overrides HtmxRequestInfoTrait::getRequest | |
| FormBase::getRouteMatch | protected | function | Gets the route match. | ||
| FormBase::logger | protected | function | Gets the logger for a specific channel. | ||
| FormBase::redirect | protected | function | Returns a redirect response object for the specified route. | ||
| FormBase::resetConfigFactory | public | function | Resets the configuration factory. | ||
| FormBase::setConfigFactory | public | function | Sets the config factory for this form. | ||
| FormBase::setRequestStack | public | function | Sets the request stack object to use. | ||
| HtmxRequestInfoTrait::getHtmxCurrentUrl | protected | function | Retrieves the URL of the requesting page from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxPrompt | protected | function | Retrieves the prompt from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTarget | protected | function | Retrieves the target identifier from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTrigger | protected | function | Retrieves the trigger identifier from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTriggerName | protected | function | Retrieves the trigger name from an HTMX request header. | ||
| HtmxRequestInfoTrait::isHtmxBoosted | protected | function | Determines if the request is boosted by HTMX. | ||
| HtmxRequestInfoTrait::isHtmxHistoryRestoration | protected | function | Determines if if the request is for history restoration. | ||
| HtmxRequestInfoTrait::isHtmxRequest | protected | function | Determines if the request is sent by HTMX. | ||
| LoggerChannelTrait::$loggerFactory | protected | property | The logger channel factory service. | ||
| LoggerChannelTrait::getLogger | protected | function | Gets the logger for a specific channel. | ||
| LoggerChannelTrait::setLoggerFactory | public | function | Injects the logger channel factory. | ||
| MessengerTrait::$messenger | protected | property | The messenger. | 25 | |
| MessengerTrait::messenger | public | function | Gets the messenger. | 25 | |
| MessengerTrait::setMessenger | public | function | Sets the messenger. | ||
| RedirectDestinationTrait::$redirectDestination | protected | property | The redirect destination service. | 2 | |
| RedirectDestinationTrait::getDestinationArray | protected | function | Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url. | ||
| RedirectDestinationTrait::getRedirectDestination | protected | function | Returns the redirect destination service. | ||
| RedirectDestinationTrait::setRedirectDestination | public | function | Sets the redirect destination service. | ||
| StringTranslationTrait::$stringTranslation | protected | property | The string translation service. | 3 | |
| StringTranslationTrait::formatPlural | protected | function | Formats a string containing a count of items. | ||
| StringTranslationTrait::getNumberOfPlurals | protected | function | Returns the number of plurals supported by a given language. | ||
| StringTranslationTrait::getStringTranslation | protected | function | Gets the string translation service. | ||
| StringTranslationTrait::setStringTranslation | public | function | Sets the string translation service to use. | 2 | |
| StringTranslationTrait::t | protected | function | Translates a string to the current language or to a given language. | 1 |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.